Summary:	Display and control your Android device
Name:		scrcpy
Version:	3.0
Release:	1
License:	Apache v2.0
Group:		Applications
Source0:	https://github.com/Genymobile/scrcpy/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	5b1e26e380ed68bb2374dc8c4f12e8b1
Source1:	https://github.com/Genymobile/scrcpy/releases/download/v%{version}/%{name}-server-v%{version}
# Source1-md5:	fe1737478e471db5a6c5b937123ccbaf
URL:		https://github.com/Genymobile/scrcpy
BuildRequires:	SDL2-devel >= 2.0.5
BuildRequires:	ffmpeg-devel
BuildRequires:	libusb-devel
BuildRequires:	meson >= 0.48
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires:	SDL2 >= 2.0.5
Requires:	android-tools
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Display and control your Android device.

%package -n bash-completion-scrcpy
Summary:	bash-completion for scrcpy
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-scrcpy
bash-completion for scrcpy.

%package -n zsh-completion-scrcpy
Summary:	zsh-completion for scrcpy
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh
BuildArch:	noarch

%description -n zsh-completion-scrcpy
zsh-completion for scrcpy.

%prep
%setup -q
cp -p %{SOURCE1} %{name}-server

%build
%meson build \
	-Dprebuilt_server=%{name}-server

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/scrcpy
%dir %{_datadir}/scrcpy
%attr(755,root,root) %{_datadir}/scrcpy/scrcpy-server
%{_desktopdir}/scrcpy.desktop
%{_desktopdir}/scrcpy-console.desktop
%{_iconsdir}/hicolor/256x256/apps/scrcpy.png
%{_mandir}/man1/scrcpy.1*

%files -n bash-completion-scrcpy
%defattr(644,root,root,755)
%{bash_compdir}/scrcpy

%files -n zsh-completion-scrcpy
%defattr(644,root,root,755)
%{zsh_compdir}/_scrcpy
%changelog
* Thu Nov 28 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/scrcpy.git;a=log;h=master

* Sun Nov 24 2024 Jan Palus <atler@pld-linux.org> 89b5130
- up to 3.0

* Wed Sep 18 2024 Jan Palus <atler@pld-linux.org> 3b03549
- up to 2.7

* Sat Aug 03 2024 Jan Palus <atler@pld-linux.org> e493280
- up to 2.6.1

* Thu Aug 01 2024 Jan Palus <atler@pld-linux.org> 4960a52
- up to 2.6

* Mon Jul 01 2024 Jan Palus <atler@pld-linux.org> 3164243
- up to 2.5

* Sun Mar 24 2024 Jan Palus <atler@pld-linux.org> 4e40566
- up to 2.4

* Sun Nov 05 2023 Jan Palus <atler@pld-linux.org> d7e03dd
- up to 2.2

* Sun Nov 05 2023 Jan Palus <atler@pld-linux.org> 9abe883
- update desktop and icon caches

* Mon Oct 16 2023 Jan Rękorajski <baggins@pld-linux.org> 36d644f
- Release 2 (by relup.sh)

* Fri Jul 14 2023 Jan Palus <atler@pld-linux.org> 30bb475
- up to 2.1

* Sun Apr 09 2023 Jan Palus <atler@pld-linux.org> 4bba3df
- up to 2.0

* Fri Dec 30 2022 Jan Palus <atler@pld-linux.org> 35184ef
- new

